Gtk2::RadioAction(3p)

NAME
Gtk2::RadioAction

SYNOPSIS
  my $action = Gtk2::RadioAction->new (name => 'one',
                                       tooltip => 'One',
                                       value => 23);

Note that the constructor slightly deviates from the convenience constructor in the C API. Instead of passing in a list of values for name, label, tooltip, stock-id and value, you just use key => value pairs like with Glib::Object::new.

HIERARCHY
  Glib::Object
  +----Gtk2::Action
       +----Gtk2::ToggleAction
            +----Gtk2::RadioAction

INTERFACES
  Gtk2::Buildable

METHODS

•   $value (integer)

Since: gtk+ 2.10

•   $member_or_listref (scalar)

PROPERTIES

'current-value' (integer : readable / writable / private)
    The value property of the currently active member of the group to which this action belongs.

'group' (Gtk2::RadioAction : writable / private)
    The radio action whose group this action belongs to.

'value' (integer : readable / writable / private)
    The value returned by gtk_radio_action_get_current_value() when this action is the current action of its group.

SIGNALS

changed (Gtk2::RadioAction, Gtk2::RadioAction)

SEE ALSO
Gtk2, Glib::Object, Gtk2::Action, Gtk2::ToggleAction

COPYRIGHT
Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL. See Gtk2 for a full notice.